import * as service from '../service/map';
import { call } from 'redux-saga/effects';

export function* getAllTopics() {
  return yield call(service.getAllTopics);
}

export function* getTableModelByDirIid(payload) {
  return yield call(service.getTableModelByDirId, payload);
}

export function* getTreeTotalLevel(payload) {
  return yield call(service.getTreeTotalLevel, payload);
}

export function* queryAllDirectoryAsTreeByDirLevel(payload) {
  return yield call(service.queryAllDirectoryAsTreeByDirLevel, payload);
}

export function* getTableModelInfoByDirIdAndBeginIndex(payload) {
  return yield call(service.getTableModelInfoByDirIdAndBeginIndex, payload);
}
